#========================================================================================
# package      DE_EPAGES::FacebookBusiness::API::Attributes::FacebookBusinessEnvironment
# state        private
# description  Implements the FacebookBusinessEnvironment attributes
#========================================================================================
package DE_EPAGES::FacebookBusiness::API::Attributes::FacebookBusinessEnvironment;
use base qw( DE_EPAGES::Object::API::BaseAttribute );

use strict;

use DE_EPAGES::FacebookBusiness::API::Constants qw (
    FACEBOOK_BASE_URL
    FACEBOOK_API_VERSION
    OAUTH_ENDPOINT
);
use feature 'switch';

sub getAttributes {
    shift;
    my ($Object, $aNames, $LanguageID) = @_;

    my %Values;
    foreach my $Name (@$aNames) {
        given($Name) {
            when( 'OAuthURL' ) {
                my $hInfoObject = $Object->get([
                    'AppID',
                    'FacebookServerRedirectURI',
                ]);

                my $OAuthURL = FACEBOOK_BASE_URL . FACEBOOK_API_VERSION . OAUTH_ENDPOINT;
                $OAuthURL =~ s/{app-id}/$hInfoObject->{'AppID'}/;
                $OAuthURL =~ s/{redirect-uri}/$hInfoObject->{'FacebookServerRedirectURI'}/;

                $Values{$Name} = $OAuthURL;
            }
        }#given
    }

    return \%Values;
}

1;
