#========================================================================================
# package      DE_EPAGES::MolliePayments::API::Tools
# state        public
#----------------------------------------------------------------------------------------
# description  Tooling for specific tasks like log filtering
#========================================================================================
package DE_EPAGES::MolliePayments::API::Tools;
use base qw( Exporter );

use strict;
our @EXPORT_OK = qw (
    FilterTokensResponse
    FilterOnboardingReturnQuery
);

#========================================================================================
# function     FilterTokensResponse
# state        public
#----------------------------------------------------------------------------------------
# syntax       FilterTokensResponse($LogString);
#----------------------------------------------------------------------------------------
# description  It filters token codes (to be used as paramter into LogPayment calls)
#----------------------------------------------------------------------------------------
# input        $LogString | string to filter | string
#========================================================================================
sub FilterTokensResponse {
    my $LogString = shift;

    $LogString =~ s/"clientId":"\w+"/"clientId":"****"/gix;
    $LogString =~ s/"clientSecret":"\w+"/"clientSecret":"****"/gix;
    $LogString =~ s/"code":"\w+"/"code":"****"/gix;
}

#========================================================================================
# function     FilterOnboardingReturnQuery
# state        public
#----------------------------------------------------------------------------------------
# syntax       FilterOnboardingReturnQuery($LogString);
#----------------------------------------------------------------------------------------
# description  It filters authorizatio code from URL query (to be used as paramter into LogPayment calls)
#----------------------------------------------------------------------------------------
# input        $LogString | string to filter | string
#========================================================================================
sub FilterOnboardingReturnQuery {
    my $LogString = shift;

    $LogString =~ s/'auth_\w+'/'auth_---replaced---'/gix;
}

1;
