#========================================================================================
# package      DE_EPAGES::MolliePayments::UI::BasketOrder
# base         DE_EPAGES::Presentation::UI::Object
# state        private
#----------------------------------------------------------------------------------------
# description  UI Controller for basket or order
#========================================================================================
package DE_EPAGES::MolliePayments::UI::BasketOrder;
use base DE_EPAGES::Presentation::UI::Object;

use DE_EPAGES::Core::API::PerlTools qw ( GetCurrentDateTime );
use DE_EPAGES::Order::API::Object::BasketOrderProcess;

use strict;



#========================================================================================
# function     ViewPaymentMolliePayments
# state        public
#----------------------------------------------------------------------------------------
# syntax       ViewPaymentMolliePayments( $Servlet );
#----------------------------------------------------------------------------------------
# description  UI Controller for classical/mobile checkout
#----------------------------------------------------------------------------------------
# input        $Servlet | Servlet | DE_EPAGES::Presentation::Servlet::BasePermission
#========================================================================================
sub ViewPaymentMolliePayments {
    my $self    = shift;
    my ($Servlet) = @_;

    my $Object  = $Servlet->object();
    my $LineItemPayment = $Object->get('LineItemContainer')->get('Payment');
    my $PaymentMethod   = $LineItemPayment->get('PaymentMethod');
    my $GUID = $LineItemPayment->get('GUID');

    $LineItemPayment->set( {
        'IsTestTransaction' => $PaymentMethod->get('IsInTestMode'),
        'TransID' => $GUID,
        'TransTime' => GetCurrentDateTime(),
     });

    return;
}



#========================================================================================
# function     ViewMultiPaymentMolliePayments
# state        public
#----------------------------------------------------------------------------------------
# syntax       ViewMultiPaymentMolliePayments( $Servlet );
#----------------------------------------------------------------------------------------
# description  UI Controller for multi-step checkout
#----------------------------------------------------------------------------------------
# input        $Servlet | Servlet | DE_EPAGES::Presentation::Servlet::BasePermission
#========================================================================================
sub ViewMultiPaymentMolliePayments {
    my $self = shift;
    my ($Servlet) = @_;

    my $BasketOrderProcess = DE_EPAGES::Order::API::Object::BasketOrderProcess->new($Servlet);
    $Servlet->vars('BasketOrderProcess', $BasketOrderProcess->tleHash());

    $self->ViewPaymentMolliePayments($Servlet);

    return;
}

1;