#========================================================================================
# package      DE_EPAGES::MolliePayments::UI::MolliePayments
# state        public
#----------------------------------------------------------------------------------------
# description  UI Controller for Stripe
#========================================================================================
package DE_EPAGES::MolliePayments::UI::MolliePayments;
use base DE_EPAGES::BacklinkProvider::UI::Provider;

use DE_EPAGES::MolliePayments::API::MolliePaymentsUrlBuilder;

use strict;

#========================================================================================
# function     BacklinkMolliePaymentsOnboarding
# state        public
#----------------------------------------------------------------------------------------
# syntax       BacklinkMolliePaymentsOnboarding( $Servlet );
#----------------------------------------------------------------------------------------
# description  Redirects to the right MBO page after onboarding.
#----------------------------------------------------------------------------------------
# input        $Servlet | Servlet | Servlet
#========================================================================================
sub BacklinkMolliePaymentsOnboarding {
    my $self = shift;
    my ($Servlet) = @_;

    my $Form = $Servlet->form();
    my $hQueryParameters = $Form->queryValues();

    my $MolliePaymentsUrlBuilder = $self->_createMolliePaymentsUrlBuilder();
    my $URL = $MolliePaymentsUrlBuilder->buildRedirectToMboUrl($hQueryParameters);

    $self->_RedirectToURL($URL);

    return;
}


#----------------------------------------------------------------------------------------
# Private methods
#----------------------------------------------------------------------------------------
sub _RedirectToURL {
    my $self = shift;
    my ( $URL ) = @_;
    $self->SUPER::RedirectToURL( $URL );
    return;
}

sub _createMolliePaymentsUrlBuilder {
    my $self = shift;
    return DE_EPAGES::MolliePayments::API::MolliePaymentsUrlBuilder->new();
}

1;
